#include "splitline.h"

splitline::splitline(QWidget *parent) : QWidget(parent)
{
    this->setFixedSize(1, 180);
    m_splitline = new QLabel(this);
    m_splitline->setFixedSize(1, 180);
    //    m_splitline->move(this->width()/2,(this->height()-m_splitline->height())/2);

    initLayout();
    initQss();
}

void splitline::initLayout() {}

void splitline::initQss()
{
    lineLinearGradientQss =
        "border:none;background-color: qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(255, 255, 255, "
        "0), stop:0.5 rgba(255, 255, 255, 0.7), stop:1 rgba(255, 255, 255, 0));";
    m_splitline->setStyleSheet(lineLinearGradientQss);
    //    m_splitline->setAlignment(Qt::AlignCenter);
}
